{
	"name": "form/nc/erp-sync/clickup/column/order-sales.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"change_compare": false,
			"icon": "nc-link-icon",
			"link_field": "so.sales_order_id",
			"link_data_field": "prwo.order_id",
			"name": "Row",
			"record_type": "sales",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 60
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"field": "prwo.production_order_id",
			"name": "Id",
			"width": 200
		},
		{
			"variable-": "pr.product_id",
			"field": "prwo.product_id",
			"name": "Task",
			"width": 600
		},
		{
			"field": "prwo.description",
			"hide": true,
			"name": "Description",
			"width": 100
		},
		{
			"field": "prwo.json_data.start_date",
			"name": "Start",
			"width": 90
		},
		{
			"change_compare": false,
			"field": "prwo.json_data.start_time",
			"name": "Time",
			"type": "time",
			"width": 90
		},
		{
			"field": "prwo.json_data.end_date",
			"name": "End",
			"width": 90
		},
		{
			"change_compare": false,
			"field": "prwo.json_data.end_time",
			"name": "Time",
			"type": "time",
			"width": 90
		},
		{
			"field": "prwo.work_hours",
			"name": "Duration",
			"format": "%'.2f",
			"width": 75,
			"compare_amount": 0.01
		},
		{
			"field": "prwo.info",
			"name": "Task url",
			"width": 260
		},
		{
			"field": "prwo.json_data.start_person_id",
			"change_compare": false,
			"name": "User",
			"width": 60
		},
		{
			"field": "prwo.resource_id",
			"name": "Resource",
			"width": 90
		},
		{
			"change_compare": false,
			"hide": true,
			"variable": "pr",
			"name": "Task",
			"width": 300
		},
		{
			"change_compare": false,
			"hide": true,
			"variable": "per",
			"name": "User",
			"width": 300
		},
		{
			"change_compare": false,
			"field": "prwo.json_data.additional_data",
			"name": "Json data",
			"type": "json",
			"width": 4000
		}
	]
}
